{
    "env": {
        "myDefaultIncludePath": [
            "${workspaceFolder}",
            "${workspaceFolder}/build",
            "${workspaceFolder}/build/generated/pico_base",
            "${env:PICO_SDK_PATH}/src/**/include",
            "${env:PICO_SDK_PATH}/lib/**/src",
            "${workspaceFolder}/lib/FatFs/source",
            "${workspaceFolder}/lib/sd_driver"
            
        ],
        "myCompilerPath": "/usr/bin/arm-none-eabi-gcc"
    },
    "configurations": [
        {
            "name": "Linux",
            "intelliSenseMode": "linux-gcc-arm",
            "includePath": [
                "${myDefaultIncludePath}",
                "${workspaceFolder}/build/"
            ],
            "compilerPath": "/usr/bin/arm-none-eabi-gcc",
            "cStandard": "c11",
            "cppStandard": "c++17",
            "browse": {
                "path": [
                    "${workspaceFolder}"
                ],
                "limitSymbolsToIncludedHeaders": true,
                "databaseFilename": ""
            },
            "configurationProvider": "ms-vscode.cmake-tools"
        }
    ],
    "version": 4
}